% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/gen-namespace-docs.R,
%   R/gen-namespace-examples.R, R/gen-namespace.R
\name{torch_pixel_shuffle}
\alias{torch_pixel_shuffle}
\title{Pixel_shuffle}
\usage{
torch_pixel_shuffle(self, upscale_factor)
}
\arguments{
\item{self}{(Tensor) the input tensor}

\item{upscale_factor}{(int) factor to increase spatial resolution by}
}
\description{
Pixel_shuffle
}
\section{Rearranges elements in a tensor of shape }{
math:\verb{(*, C \\times r^2, H, W)} to a :

Rearranges elements in a tensor of shape \eqn{(*, C \times r^2, H, W)} to a
tensor of shape \eqn{(*, C, H \times r, W \times r)}.

See \code{~torch.nn.PixelShuffle} for details.
}

\examples{
if (torch_is_installed()) {

input = torch_randn(c(1, 9, 4, 4))
output = nnf_pixel_shuffle(input, 3)
print(output$size())
}
}
